Last Comment Bug 370243 - XULRunner dmg no longer contains installer
: XULRunner dmg no longer contains installer
Status: RESOLVED FIXED
: fixed1.8.0.12, fixed1.8.1.4
Product: Toolkit Graveyard
Classification: Graveyard
Component: XULRunner (show other bugs)
: Trunk
: PowerPC Mac OS X
: -- normal (vote)
: ---
Assigned To: jhp (no longer active)
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-02-12 19:30 PST by jhp (no longer active)
Modified: 2016-02-12 08:12 PST (History)
2 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
patch (1.74 KB, patch)
2007-02-12 19:30 PST, jhp (no longer active)
benjamin: first‑review+
dveditz: approval1.8.1.4+
dveditz: approval1.8.0.12+
Details | Diff | Splinter Review

Description jhp (no longer active) 2007-02-12 19:30:37 PST
Created attachment 254906 [details] [diff] [review]
patch

Normally, the XULRunner/Mac package is distributed as a disk image that contains an installer.  This seems to have been broken by the fix to bug 359687.  Now, the disk image contains a XULRunner folder which must be manually installed by the user.

Patch is attached.  Gavin, not sure if you are the right person to ask for review during bsmedberg's absence.
Comment 1 :Gavin Sharp [email: gavin@gavinsharp.com] 2007-02-16 23:40:54 PST
Comment on attachment 254906 [details] [diff] [review]
patch

Sorry for not mentioning this earlier, but I don't know this code well enough to review it. I believe Benjamin is back from his leave now, though.
Comment 2 jhp (no longer active) 2007-02-27 11:44:22 PST
Checked in to trunk.  -> FIXED
Comment 3 jhp (no longer active) 2007-02-27 12:28:48 PST
Comment on attachment 254906 [details] [diff] [review]
patch

Bug 359687 broke this for the two 1.8 branches, so it would be good to fix it there also.
Comment 4 Daniel Veditz [:dveditz] 2007-03-21 16:00:34 PDT
Comment on attachment 254906 [details] [diff] [review]
patch

approved for 1.8.0.12 and 1.8.1.4, a=dveditz for release-drivers
Comment 5 jhp (no longer active) 2007-04-02 13:36:28 PDT
Checked in to both 1.8 branches.

Note You need to log in before you can comment on or make changes to this bug.